## nano 6.1

=== debian/changelog ===
nano (6.1-1) unstable; urgency=medium

  * The "Remolacha" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Wed, 09 Feb 2022 12:45:28 +0100

nano (6.0-1) unstable; urgency=medium

  * The "Emérito" release.
  * New upstream release.
  * Add debian.nanorc as part of the packaging. Nano upstream has
    dropped it from the tarball due to its limited scope for users
    of Debian and derivatives. It'll be maintained here from now on.
  * Add support for mirror, s3 and in-toto APT transports.
  * Install out-of-tree syntax files in /usr/share/nano/debian.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Dec 2021 16:41:06 +0100

nano (5.9-1) unstable; urgency=medium

  * The "Miquel Grau" release.
    - includes syntax highlighting rules for .yaml files (closes: #982091).
  * Sync debian/nanorc with upstream nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Thu, 14 Oct 2021 16:21:27 +0200

nano (5.8-2) unstable; urgency=medium

  * The "Oficina del Español" release.
  * Update Standards-Version to 4.6.0.
  * Upload to unstable, now that ncurses can generate correct deps
    for nano-udeb.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 Sep 2021 15:01:19 +0200

nano (5.8-1) experimental; urgency=medium

  * The "mallorquín, menorquín, ibicenco y formenterés" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Bump debian/watch to version 4.

 -- Jordi Mallach <jordi@debian.org>  Mon, 16 Aug 2021 10:58:50 +0200

nano (5.7-1) experimental; urgency=medium

  * The "Más vale malo conocido" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Thu, 06 May 2021 23:42:32 +0200
