## nano 6.2

=== debian/changelog ===
nano (6.2-1) unstable; urgency=medium

  * The "Priviet" release.
  * New upstream release.

 -- Jordi Mallach <jordi@debian.org>  Sat, 19 Feb 2022 09:58:06 +0100
