## nano 6.2-1ubuntu0.1+11.0trisquel0

=== debian/changelog ===
nano (6.2-1ubuntu0.1+11.0trisquel0) aramo-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 21 Nov 2024 09:16:32 +0000

nano (6.2-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: Emergency file could be replaced by a malicious symlink.
    - debian/patches/CVE-2024-5742.patch: Use fchmod and fchown in write_file()
      in src/files.c instead of using chmod and chown in emergency_save() in
      src/nano.c. Add EMERGENCY write type in kind_of_writing_type enum in
      src/definitions.h. Update fd in write_file() in src/files.c. Based on
      upstream.
    - CVE-2024-5742

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 10 Oct 2024 11:09:30 -0230
