## nano 6.2-1+11.0trisquel0

=== debian/changelog ===
nano (6.2-1+11.0trisquel0) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 14 Oct 2022 07:41:20 +0000
