=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: Jordi Mallach <jordi@debian.org>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 Uploaders: Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
