## nano 6.2-1+11.0trisquel1

=== debian/changelog ===
nano (6.2-1+11.0trisquel1) aramo; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Feb 2025 03:08:53 +0000

nano (6.2-1+11.0trisquel1) aramo-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 18 Feb 2025 03:08:53 +0000
