=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: editors
 Priority: optional
 Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
