## nano 6.3

=== debian/changelog ===
nano (6.3-1.0antix1) unstable; urgency=medium

  * New upstream release

 -- anticapitalista <antix@operamail.com>  Sun, 01 May 2022 13:04:42 +0300

nano (6.2-1.0antix1) unstable; urgency=medium

  * New upstream release 

 -- anticapitalista <antix@operamail.com>  Fri, 18 Feb 2022 13:09:34 +0200
