=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
+Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                libncurses-dev,
                pkg-config,
                texinfo
