## nano 6.4

=== debian/changelog ===
nano (6.4-1) unstable; urgency=medium

  * New upstream release.
  * The "Explicaciones, ¿de qué? Jajaja" release.
  * Update Standards-Version to 4.6.1 (no changes needed).

 -- Jordi Mallach <jordi@debian.org>  Wed, 03 Aug 2022 12:35:51 +0200

nano (6.3-1) unstable; urgency=medium

  * The "Duque de Feria" release.
  * New upstream release.
  * Add support for the noudeb build profile.
  * Sync debian/nanorc with upstream nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Tue, 03 May 2022 00:42:04 +0200

nano (5.4-2+deb11u1) bullseye; urgency=medium

  * The "Bueno, de verdad, hasta luego, paso" release.
  * Add additional patches from Benno Schulenberg with post 5.4
    crash, docs and general fixes.
  * Change debian-branch to bullseye.

 -- Jordi Mallach <jordi@debian.org>  Mon, 22 Nov 2021 01:07:23 +0100
