## nano 7.0

=== debian/changelog ===
nano (7.0-1) unstable; urgency=medium

  * The "Cent anys de Joan Fuster" release.
  * New upstream release.
  * Update upstream signing key to 168E6F4297BFD7A79AFD4496514BBE2EB8E1961F.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Update lintian source-overrides to silence false positives.

 -- Jordi Mallach <jordi@debian.org>  Wed, 23 Nov 2022 18:10:31 +0100
