## nano 7.2

=== debian/changelog ===
nano (7.2-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:13:58 +0200

nano (7.2-2) unstable; urgency=medium

  [ Jordi Mallach ]
  * The "Pellets" release.
  * Fix a partial sync of debian/nanorc in the previous upload.
    This updates some example bindings to the new syntax, avoiding
    having control characters in the configuration file (closes: #1032422).
  * Build-Depend on pkgconf instead of pkg-config.
  * Update Standards-Version to 4.6.2, with no changes needed.

  [ Chris Hofstaedtler ]
  * Install all files below /usr. (Closes: #1059411)
    Keep update-alternatives calls unchanged to preserve user
    configuration.

 -- Jordi Mallach <jordi@debian.org>  Wed, 17 Jan 2024 01:35:55 +0100

nano (7.2-1) unstable; urgency=medium

  * The "Blue checkmark" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Wed, 18 Jan 2023 16:31:52 +0100

nano (7.1-1) unstable; urgency=medium

  * The "Home Petrov, si soc jo!" release.
  * New upstream release.
  * Update source lintian-overrides.

 -- Jordi Mallach <jordi@debian.org>  Wed, 14 Dec 2022 16:15:59 +0100

nano (5.4-2+deb11u2) bullseye; urgency=medium

  * The "No a l'ampliació del port" release.
  * Add three additional patches from Benno Schulenberg, with two
    crash fixes and one data-loss fix.

 -- Jordi Mallach <jordi@debian.org>  Fri, 02 Dec 2022 14:06:48 +0100
