=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: Jordi Mallach <jordi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
-               pkg-config,
+               pkgconf,
                texinfo
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/debian/nano.git
 Vcs-Browser: https://salsa.debian.org/debian/nano
 Homepage: https://www.nano-editor.org/
@@ -52,6 +53,7 @@
  environments such as rescue disks where resources are limited.
 
 Package: nano-udeb
+Build-Profiles: <!noudeb>
 Architecture: any
 Section: debian-installer
 Priority: standard
