=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,7 @@
 tinybuild=$(CURDIR)/build-tiny
 udebbuild=$(CURDIR)/build-udeb
 
-CONFFLAGS = \
-	--bindir=/bin
+CONFFLAGS =
 
 CONFFLAGS_nano =
 
@@ -36,13 +35,17 @@
 		-- $(CONFFLAGS) $(CONFFLAGS_nano)
 	dh_auto_configure --builddirectory=$(tinybuild) \
 		-- $(CONFFLAGS) $(CONFFLAGS_tiny) CFLAGS="$(CFLAGS) $(CFTINY)"
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_configure --builddirectory=$(udebbuild) \
 		-- $(CONFFLAGS) $(CONFFLAGS_udeb) CFLAGS="$(CFLAGS) $(CFTINY)"
+endif
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=$(nanobuild)
 	dh_auto_build --builddirectory=$(tinybuild)
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_build --builddirectory=$(udebbuild)
+endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=$(nanobuild) \
@@ -50,19 +53,23 @@
 
 	dh_auto_install --builddirectory=$(tinybuild) \
 		--destdir=$(CURDIR)/debian/nano-tiny
-	mv debian/nano-tiny/bin/nano debian/nano-tiny/bin/nano-tiny
+	mv debian/nano-tiny/usr/bin/nano debian/nano-tiny/usr/bin/nano-tiny
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/man
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/info
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/nano
 	rm -rf $(CURDIR)/debian/nano-tiny/usr/share/doc/nano
-	rm -f $(CURDIR)/debian/nano-tiny/bin/rnano
+	rm -f $(CURDIR)/debian/nano-tiny/usr/bin/rnano
 
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_install --builddirectory=$(udebbuild) \
 		--destdir=$(CURDIR)/debian/nano-udeb
-	rm -rf $(CURDIR)/debian/nano-udeb/usr
-	rm -f $(CURDIR)/debian/nano-udeb/bin/rnano
+	rm -rf $(CURDIR)/debian/nano-udeb/usr/share
+	rm -f $(CURDIR)/debian/nano-udeb/usr/bin/rnano
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean --builddirectory=$(nanobuild)
 	dh_auto_clean --builddirectory=$(tinybuild)
+ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
 	dh_auto_clean --builddirectory=$(udebbuild)
+endif
