## nano 7.2-2build1trisquel0

=== debian/changelog ===
nano (7.2-2build1trisquel0) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 09 Oct 2024 06:11:59 +0000
