## nano 7.2-2ubuntu0.1trisquel0

=== debian/changelog ===
nano (7.2-2ubuntu0.1trisquel0) ecne-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 16 Oct 2024 07:09:29 +0000

nano (7.2-2ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: Emergency file could be replaced by a malicious symlink.
    - debian/patches/CVE-2024-5742.patch: Use fchmod and fchown in write_file()
      in src/files.c instead of using chmod and chown in emergency_save() in
      src/nano.c. Add EMERGENCY write type in kind_of_writing_type enum in
      src/definitions.h. Update fd in write_file() in src/files.c. Based on
      upstream.
    - CVE-2024-5742

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 10 Oct 2024 13:44:07 -0230
