## nano 8.0

=== debian/changelog ===
nano (8.0-1) unstable; urgency=medium

  * The "Gaza" release.
  * New upstream release.
  * Rename debian and upstream branches to adhere to DEP14.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Avoid running autopoint during dh_autoreconf.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 May 2024 23:48:31 +0200
