## nano 8.1

=== debian/changelog ===
nano (8.1-1) unstable; urgency=medium

  * The "Hem sigut feliços, 🐵" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Set "colonparsing` in system nanorc, to retain "filename:linenumber"
    functionality by default.

 -- Jordi Mallach <jordi@debian.org>  Tue, 16 Jul 2024 00:25:35 +0200
