## nano 8.2

=== debian/changelog ===
nano (8.2-1) unstable; urgency=medium

  * The "La Regata de Jaume" release.
  * New upstream release.
  * Add nano and nano-tiny lintian overrides for /bin → /usr/bin mismatch,
    as update-alternatives calls should not be updated to the usrmerged paths.

 -- Jordi Mallach <jordi@debian.org>  Sat, 28 Sep 2024 01:57:23 +0200
