## nano 8.3

=== debian/changelog ===
nano (8.3-1) unstable; urgency=medium

  * The "Mazón dimissió" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.

 -- Jordi Mallach <jordi@debian.org>  Mon, 06 Jan 2025 19:08:18 +0100
