=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: nano
 Section: editors
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
+Maintainer: Jordi Mallach <jordi@debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
                pkgconf,
                texinfo
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/nano.git
 Vcs-Browser: https://salsa.debian.org/debian/nano
 Homepage: https://www.nano-editor.org/
