## nano 8.4

=== debian/changelog ===
nano (8.4-1) unstable; urgency=medium

  * The "Steve Langasek" release. Thanks for your help, for the
    chats, for the moments shared, for being such an incredible person.
    You will be missed.
  * Remove Steve from Uploaders.
  * New upstream release.
    - includes test-groff fixes from Bjarni Ingi Gislason to nano manpages.
      (closes: #1095957).
  * Sync debian/nanorc with upstream nanorc.sample.
  * Update Standards-Version to 4.7.2.

 -- Jordi Mallach <jordi@debian.org>  Sun, 06 Apr 2025 16:11:52 +0200
