## nano 8.5

=== debian/changelog ===
nano (8.5-1) unstable; urgency=medium

  * The "Anas al-Sharif" release.
  * New upstream release.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Update copyright years.
  * Don't refer to old FSF postal address.

 -- Jordi Mallach <jordi@debian.org>  Mon, 18 Aug 2025 22:15:49 +0200
