## nano 8.6

=== debian/changelog ===
nano (8.6-1) unstable; urgency=medium

  * The "Awdah Hathaleen" release.
  * New upstream release.
  * Update lintian overrides.

 -- Jordi Mallach <jordi@debian.org>  Fri, 22 Aug 2025 12:33:43 +0200
