=== debian/control ===
--- 
+++ 
@@ -2,12 +2,11 @@
 Section: editors
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Uploaders: Steve Langasek <vorlon@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
                pkgconf,
                texinfo
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/debian/nano.git
 Vcs-Browser: https://salsa.debian.org/debian/nano
 Homepage: https://www.nano-editor.org/
