=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Avoid dh_autoreconf from failing due to running autopoint
+export AUTOPOINT = true
 
 CFTINY  := -Os -fomit-frame-pointer
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
