## nano 8.7

=== debian/changelog ===
nano (8.7-1) unstable; urgency=medium

  * The "Aysam Mualla" release.
  * New upstream release.
  * Use version 5 of watch file.
  * Sync debian/nanorc with upstream nanorc.sample.
  * Drop now redundant Rules-Requires-Root control field.

 -- Jordi Mallach <jordi@debian.org>  Fri, 21 Nov 2025 00:18:13 +0100
