=== debian/control ===
--- 
+++ 
@@ -10,7 +10,6 @@
 Vcs-Git: https://salsa.debian.org/debian/nano.git
 Vcs-Browser: https://salsa.debian.org/debian/nano
 Homepage: https://www.nano-editor.org/
-Rules-Requires-Root: no
 
 Package: nano
 Architecture: any
