## nano 8.7.1

=== debian/changelog ===
nano (8.7.1-1) unstable; urgency=medium

  * The "Yellow Line" release.
  * New upstream release.
  * Drop redundant Priority field for source package.

 -- Jordi Mallach <jordi@debian.org>  Sun, 08 Feb 2026 23:29:41 +0100
