=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: nano
 Section: editors
-Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                libncurses-dev,
