=== docs/requirements.txt ===
mkdocs==1.5.2
mkdocs-include-markdown-plugin==4.0.3
mkdocs-material==9.1.21
mkdocs-material-extensions==1.1.1
